Bug 74615 - Internal compiler error in cp_expr_size
Internal compiler error in cp_expr_size
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-27 12:55 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 00:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-27 12:55:33 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
Description of problem: 
Compiling lyx-1.2.1 from their src rpm;  
source='insetref.C' object='insetref.lo' libtool=yes \ 
depfile='.deps/insetref.Plo' tmpdepfile='.deps/insetref.TPlo' \ 
depmode=gcc3 /bin/sh ../../config/depcomp \ 
/bin/sh ../../libtool --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I../../src 
-I./../ -I../.. -I../../boost  -isystem /usr/X11R6/include  -O2 -march=i386 
-mcpu=i686 -c -o insetref.lo `test -f insetref.C || echo './'`insetref.C 
g++ -DHAVE_CONFIG_H -I. -I. -I../../src -I./../ -I../.. -I../../boost -isystem 
/usr/X11R6/include -O2 -march=i386 -mcpu=i686 -c insetref.C -MT insetref.lo 
-MD -MP -MF .deps/insetref.TPlo 
insetref.C: In function `void __static_initialization_and_destruction_0(int, 
   int)': 
insetref.C:109: Internal compiler error in cp_expr_size, at cp/cp-lang.c:171 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions. 
 
 
 
 
Version-Release number of selected component (if applicable): gcc-3.2-4 
(I believe I'm current on all associated; glibc-2.90-26) 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.go to www.lyx.org 
2.download lyx-1.2.1-1.src.rpm 
3.rpmbuild --rebuild lyx-1.2.1-1.src.rpm 
	 
 
Actual Results:  Internal compilier error given above, aborting compilation 
 
Expected Results:  Should have build the lyx binary packages 
 
Additional info:
Comment 1 Richard Henderson 2004-10-03 00:24:11 EDT
With gcc 3.2, ./src/insets/insetref.lo builds.  Full build fails later
with 
xforms_helpers.h:17:26: forms.h: No such file or directory

Note You need to log in before you can comment on or make changes to this bug.